> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upriver.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List valid filter values (Beta)

> Filters are exact-match; this is how callers learn legal values
(e.g. the persona key is ``teacher``, not ``teachers``).



## OpenAPI

````yaml /api-reference/openapi.json get /v2/radar/facets
openapi: 3.1.0
info:
  title: Upriver API
  description: >-
    A social insights API for ad generation platforms. It provides structured
    signals, like psychographics, behavioral insights, trends, and audience
    language, to help AI models generate relevant, higher-converting ads.
  version: 1.0.0
servers:
  - url: https://api.upriver.ai
    description: Production API server
security: []
tags:
  - name: Brands
  - name: Products
  - name: Creators
  - name: Audience
  - name: Sponsorships
  - name: Trends
  - name: Trends Radar (Beta)
  - name: Breakout Topics
  - name: Taxonomy
paths:
  /v2/radar/facets:
    get:
      tags:
        - Trends Radar (Beta)
      summary: List valid filter values (Beta)
      description: |-
        Filters are exact-match; this is how callers learn legal values
        (e.g. the persona key is ``teacher``, not ``teachers``).
      operationId: get_radar_facets_beta
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RadarFacetsResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    RadarFacetsResponse:
      properties:
        beta:
          type: string
          title: Beta
          description: Beta status caveat.
          default: >-
            Beta: response shapes may change and this surface may converge with
            /v2/trends.
        types:
          items:
            type: string
          type: array
          title: Types
          description: Item types for the type filter.
        programs:
          items:
            $ref: '#/components/schemas/FacetValue'
          type: array
          title: Programs
          description: Available market catalogs.
        lifecycle_states:
          items:
            $ref: '#/components/schemas/FacetValue'
          type: array
          title: Lifecycle States
          description: Lifecycle values.
        personas:
          items:
            $ref: '#/components/schemas/FacetValue'
          type: array
          title: Personas
          description: Audience persona keys.
        brand_safety:
          items:
            $ref: '#/components/schemas/FacetValue'
          type: array
          title: Brand Safety
          description: Brand-safety values.
        sorts:
          items:
            type: string
          type: array
          title: Sorts
          description: Valid sort values for list calls.
      type: object
      required:
        - types
        - programs
        - lifecycle_states
        - personas
        - brand_safety
        - sorts
      title: RadarFacetsResponse
      description: |-
        Legal filter vocabularies — filters are exact-match, so callers
        need a way to learn valid values instead of guessing.
    FacetValue:
      properties:
        value:
          type: string
          title: Value
          description: The filter value to pass in queries.
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
          description: Display label.
        count:
          type: integer
          title: Count
          description: Items currently carrying this value.
      type: object
      required:
        - value
        - count
      title: FacetValue
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.